Skip to main content
PUT
Update a page

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

page_id
string
required

The ID of the page

Example:

"876655018"

Body

application/json
name
string

Will update the name of the page

owners
object[]

Will update the owners of the page

parentId
integer

If provided, will either make the page a subpage or simply move the subpage to become a child of a different parent page

locked
boolean

Will restrict access to edit page

collectionIds
integer[]

Collections cannot be added or removed but the order can be updated based on the order of IDs provided in the argument

cardIds
integer[]

IDs provided will add or remove cards that are not a part of a page collection

visibility
object

Shares pages with users or groups

Response

200

Returns the parameter of success or error based on the page ID being valid.